/** Environment variables providing connection configuration defaults.
 *
 *  See {@link https://www.postgresql.org/docs/current/libpq-envars.html} for a detailed description.
 */
export type Environment = keyof {
    PGCLIENTENCODING: string;
    PGCONNECT_TIMEOUT: string;
    PGDATABASE: string;
    PGHOST: string;
    PGPASSWORD: string;
    PGPORT: string;
    PGSSLMODE: string;
    PGUSER: string;
};
export declare class Defaults {
    readonly host: string;
    readonly port: number;
    readonly user: string;
    readonly database: string | undefined;
    readonly password: string | undefined;
    readonly preparedStatementPrefix: string;
    readonly sslMode: string | undefined;
    readonly connectionTimeout: number | undefined;
    readonly clientEncoding: string | undefined;
    constructor(env: Partial<Record<Environment, string>>, host?: string, port?: number, user?: string, database?: string | undefined, password?: string | undefined, preparedStatementPrefix?: string, sslMode?: string | undefined, connectionTimeout?: number | undefined, clientEncoding?: string | undefined);
}
